import { IAuthProvider } from "./iauth-provider";
import { RequestOptions, TransactionPageResponse } from "./types";
import { SDKOptions } from "./fireblocks-sdk";
export declare class ApiClient {
    private authProvider;
    private apiBaseUrl;
    private options?;
    private axiosInstance;
    constructor(authProvider: IAuthProvider, apiBaseUrl: string, options?: SDKOptions);
    private getUserAgent;
    issueGetRequestForTransactionPages(rawPath: string): Promise<TransactionPageResponse>;
    issueGetRequest<T>(rawPath: string, queryStringParams?: object, requestOptions?: RequestOptions): Promise<T>;
    issuePostRequest<T>(rawPath: string, body: any, requestOptions?: RequestOptions): Promise<T>;
    issuePutRequest<T>(rawPath: string, body: any): Promise<T>;
    issuePatchRequest<T>(rawPath: string, body: any): Promise<T>;
    issueDeleteRequest<T>(rawPath: string): Promise<T>;
}
